open-iscsi fails to correctly update rc.d on intrepid -> jaunty upgrade

Bug #306678 reported by Bryan McLellan on 2008-12-09
10
Affects Status Importance Assigned to Milestone
open-iscsi (Ubuntu)
Medium
Colin Watson
Jaunty
Medium
Unassigned

Bug Description

Binary package hint: open-iscsi

When upgrading open-iscsi from 2.0.865-1ubuntu4 to 2.0.870.1-0ubuntu1 it attempts to run:

  update-rc.d -f remove open-iscsi

This fails, as it should be:

  update-rc.d -f open-iscsi remove

Line 58 of open-iscsi.postinst

# uname -a
Linux file01 2.6.27-10-generic #1 SMP Fri Nov 21 12:00:22 UTC 2008 i686 GNU/Linux

# lsb_release -a
LSB Version: core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch
Distributor ID: Ubuntu
Description: Ubuntu 8.10
Release: 8.10
Codename: intrepid

On Tue, Dec 09, 2008 at 10:41:41PM -0000, Bryan McLellan wrote:
> When upgrading open-iscsi from 2.0.865-1ubuntu4 to 2.0.870.1-0ubuntu1 it
> attempts to run:
>
> update-rc.d -f remove open-iscsi
>
> This fails, as it should be:
>
> update-rc.d -f open-iscsi remove
>
> Line 58 of open-iscsi.postinst

  status triaged

--
Mathias Gug
Ubuntu Developer http://www.ubuntu.com

Changed in open-iscsi:
status: New → Triaged

Setting importance.

Changed in open-iscsi:
importance: Undecided → Medium
Mathias Gug (mathiaz) wrote :

Setting up open-iscsi (2.0.870.1-0ubuntu3) ...
update-rc.d: /etc/init.d/remove: file does not exist
 * Starting iSCSI initiator service iscsid
   ...fail!
ln: creating symbolic link `/lib/init/rw/sendsigs.omit.d/iscsid.pid': File exists
 * Setting up iSCSI targets
   ...done.
invoke-rc.d: initscript open-iscsi, action "start" failed.
Setting up bacula-sd (2.4.4-1ubuntu5) ...
dpkg: error processing open-iscsi (--configure):
 subprocess post-installation script returned error exit status 1

Mathias Gug (mathiaz) wrote :

Here is a diff that fixes both issues:

diff -u open-iscsi-2.0.870.1/debian/open-iscsi.postinst open-iscsi-2.0.870.1/deb
ian/open-iscsi.postinst
--- open-iscsi-2.0.870.1/debian/open-iscsi.postinst
+++ open-iscsi-2.0.870.1/debian/open-iscsi.postinst
@@ -55,7 +55,7 @@
        # Fix init script ordering on upgrades from < jaunty
        if dpkg --compare-versions "$2" lt-nl 2.0.870-0ubuntu1
        then
- update-rc.d -f remove open-iscsi
+ update-rc.d -f open-iscsi remove
        fi

        update_initramfs
diff -u open-iscsi-2.0.870.1/debian/open-iscsi.init open-iscsi-2.0.870.1/debian/open-iscsi.init
--- open-iscsi-2.0.870.1/debian/open-iscsi.init
+++ open-iscsi-2.0.870.1/debian/open-iscsi.init
@@ -69,7 +69,7 @@
                log_end_msg $RETVAL
                # Don't kill the iscsi daemon when killing all processes
                        # during system shutdown
- ln -s $PIDFILE /lib/init/rw/sendsigs.omit.d/
+ ln -sf $PIDFILE /lib/init/rw/sendsigs.omit.d/
        fi
 }

summary: - open-iscsi fails to correctly update rc.d on upgrade
+ open-iscsi fails to correctly update rc.d on intrepid -> jaunty upgrade
Changed in open-iscsi (Ubuntu):
milestone: none → ubuntu-9.04
Mathias Gug (mathiaz) on 2009-04-17
Changed in open-iscsi (Ubuntu Jaunty):
assignee: nobody → mathiaz
status: Triaged → In Progress
Steve Langasek (vorlon) wrote :

This looks like it would have been entirely appropriate for a freeze exception; unfortunately since there was no package in the queue for consideration, this has slipped past the point where it could be accepted without forcing ISO respins and re-testing, and I don't think we can justify respinning DVDs and server CDs for just this change since it appears to be upgrade-only.

This is, however, a prime candidate for SRU, which could be started immediately so that it's available at or shortly after release. (uploads to jaunty-proposed are currently open.)

Changed in open-iscsi (Ubuntu Jaunty):
milestone: ubuntu-9.04 → jaunty-updates
Mathias Gug (mathiaz) wrote :

Even the patch mentioned above fixes some problem, the pkg upgrade still fails in my testing:

mathiaz@t-openiscsi-i:~$ sudo dpkg -i ./open-iscsi_2.0.870.1-0ubuntu3.1_amd64.deb
(Reading database ... 18994 files and directories currently installed.)
Preparing to replace open-iscsi 2.0.865-1ubuntu4 (using .../open-iscsi_2.0.870.1-0ubuntu3.1_amd64.deb) ...
 * Disconnecting iSCSI targets
   ...done.
 * Stopping iSCSI initiator service
   ...done.
Unpacking replacement open-iscsi ...
Setting up open-iscsi (2.0.870.1-0ubuntu3.1) ...
Installing new version of config file /etc/iscsi/iscsid.conf ...
Installing new version of config file /etc/init.d/open-iscsi ...
 Removing any system startup links for /etc/init.d/open-iscsi ...
   /etc/rc0.d/S41open-iscsi
   /etc/rc1.d/S41open-iscsi
   /etc/rc6.d/S41open-iscsi
   /etc/rcS.d/S25open-iscsi
 * Starting iSCSI initiator service iscsid
   ...fail!
 * Setting up iSCSI targets
   ...done.
invoke-rc.d: initscript open-iscsi, action "start" failed.
dpkg: error processing open-iscsi (--install):
 subprocess post-installation script returned error exit status 1
Processing triggers for man-db ...
Errors were encountered while processing:
 open-iscsi

Changed in open-iscsi (Ubuntu Jaunty):
assignee: mathiaz → nobody
status: In Progress → Triaged
Changed in open-iscsi (Ubuntu):
assignee: mathiaz → nobody
status: In Progress → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-iscsi - 2.0.870.1-0ubuntu7

---------------
open-iscsi (2.0.870.1-0ubuntu7) karmic; urgency=low

  [ Colin Watson ]
  * debian/open-iscsi-udeb.postinst, debian/open-iscsi-udeb.templates:
    Remove; this is being taken over by disk-detect and partman-iscsi.
  * debian/control: Remove XB-Installer-Menu-Item.

  [ Mathias Gug ]
  * debian/open-iscsi.postinst: Fix backwards use of update-rc.d (LP:
    #306678).
  * debian/open-iscsi.init: Overwrite existing pid file symlinks in
    /lib/init/rw/sendsigs.omit.d/.

 -- Colin Watson <email address hidden> Mon, 10 Aug 2009 13:28:41 +0100

Changed in open-iscsi (Ubuntu):
status: Triaged → Fix Released
Colin Watson (cjwatson) on 2009-08-10
Changed in open-iscsi (Ubuntu):
milestone: jaunty-updates → none
status: Fix Released → Triaged
assignee: nobody → Colin Watson (cjwatson)
status: Triaged → Fix Released
JC Hulce (soaringsky) wrote :

Thank you for taking the time to report this bug. This issue has been fixed in newer versions of Ubuntu, and Jaunty is EOL, so I am closing this bug task.

Changed in open-iscsi (Ubuntu Jaunty):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers